// lib\app\modules\splash-screen\controllers\splash_screen_controller.dart
import 'package:get/get.dart';
import '../../../routes/app_pages.dart';

class SplashScreenController extends GetxController {
  @override
  void onInit() {
    super.onInit();
    _navigateToLogin();
  }

  void _navigateToLogin() async {
    await Future.delayed(const Duration(seconds: 4));
    Get.offNamed(Routes.LOGIN);
  }
}